{
  "name": "yuanhe-checkin-electron",
  "version": "1.0.4",
  "description": "Electron application compatible with Windows 7",
  "main": "electron/main.js",
  "scripts": {
    "dev": "concurrently \"vite --host\" \"wait-on tcp:5173 && electron .\"",
    "build": "vite build",
    "pack": "npm run build && electron-builder --dir",
    "pack:ia32": "npm run build && electron-builder --dir --ia32",
    "dist": "npm run build && electron-builder",
    "dist:ia32": "npm run build && electron-builder --ia32",
    "update-pdf-worker": "node -e \"require('fs').copyFileSync('node_modules/react-pdf/node_modules/pdfjs-dist/build/pdf.worker.min.js', 'public/pdf.worker.min.js')\"",
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "dependencies": {
    "electron-log": "^5.4.3",
    "iconv-lite": "^0.7.0",
    "koffi": "^2.14.1",
    "pdf-to-printer": "^5.6.1",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-pdf": "5.7.2",
    "react-router-dom": "6.11.2"
  },
  "devDependencies": {
    "@types/react": "^19.2.6",
    "@types/react-dom": "^19.2.3",
    "@types/react-pdf": "^6.2.0",
    "@vitejs/plugin-react": "^4.2.1",
    "concurrently": "^8.2.2",
    "cross-env": "^7.0.3",
    "electron": "^22.3.27",
    "electron-builder": "^24.13.3",
    "vite": "^4.5.2",
    "wait-on": "^7.2.0"
  },
  "build": {
    "appId": "com.yuanhe.checkin",
    "productName": "自助签到",
    "directories": {
      "output": "release"
    },
    "files": [
      "dist/**/*",
      "electron/**/*"
    ],
    "extraResources": [
      {
        "from": "resources/xzx",
        "to": "xzx"
      }
    ],
    "win": {
      "icon": "resources/icon.ico",
      "target": [
        "nsis",
        "portable"
      ]
    }
  }
}
